Skip to Content
Cogwheel DocsCogwheel Docs
ApiV1V1.pathfinderservice

LookupDenom

LookupDenom resolves denom information on a specific chain Accepts human-readable base denoms or IBC denom hashes

POST/v1.PathfinderService/LookupDenom

Header Parameters

Connect-Protocol-Version*1

Define the version of the Connect protocol

Value in1
Connect-Timeout-Ms?Connect-Timeout-Ms

Define the timeout, in ms

Request Body

  1. body

LookupDenomRequest - Resolve token information Accepts either:

  • Human-readable denom (e.g., "uatone", "uosmo")
  • IBC denom (e.g., "ibc/ABC123...")
chainId*chain_id
denom*denom
Length1 <= length <= 128

Response Body

Success

  1. response
found?found
chain_denom?chain_denom

The denom as it appears on this chain

base_denom?base_denom

The base/native denom

origin_chain?origin_chain

Where this token is native

is_native?is_native

True if this is the token's native chain

ibc_path?ibc_path

IBC path if this is an IBC token (e.g., "transfer/channel-75")

available_on?array<>

Denoms on other chains where this token is available

Example Request
curl -X POST 'https://example.com/v1.PathfinderService/LookupDenom' \  -H 'Connect-Protocol-Version: 1' \  -H 'Content-Type: application/json' \  -d '{  "chainId": "string",  "denom": "string"}'
Example Response
{  "found": true,  "chain_denom": "string",  "base_denom": "string",  "origin_chain": "string",  "is_native": true,  "ibc_path": "string",  "available_on": [    {      "chain_id": "string",      "chain_name": "string",      "denom": "string",      "is_native": true    }  ]}